Manifest-Version: 1.0
Bnd-LastModified: 1722953606424
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Change Tracking Service
Bundle-SymbolicName: com.liferay.change.tracking.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.60.hotfix-5733-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.change.tracking.closure;version="1.0",com.liferay.change.tracking.
 conflict;version="1.1",com.liferay.change.tracking.exception;version=
 "5.3",com.liferay.change.tracking.mapping;version="1.1",com.liferay.c
 hange.tracking.model;version="3.3",com.liferay.change.tracking.servic
 e;version="5.11",com.liferay.change.tracking.service.persistence;vers
 ion="6.2",com.liferay.change.tracking.spi.display;version="2.0",com.l
 iferay.change.tracking.spi.exception;version="1.0",com.liferay.change
 .tracking.spi.listener;version="2.0",com.liferay.change.tracking.spi.
 reference;version="1.0",com.liferay.change.tracking.spi.reference.bui
 lder;version="1.0",com.liferay.change.tracking.spi.resolver;version="
 1.0",com.liferay.change.tracking.spi.resolver.context;version="1.0",c
 om.liferay.change.tracking.spi.search;version="1.0",com.liferay.chang
 e.tracking.store.model;version="2.1",com.liferay.counter.kernel.servi
 ce;version="2.1",com.liferay.expando.kernel.model;version="6.0",com.l
 iferay.expando.kernel.service.persistence;version="3.2",com.liferay.e
 xpando.kernel.util;version="4.0",com.liferay.json.storage.service;ver
 sion="1.2",com.liferay.osgi.service.tracker.collections.list;version=
 "3.0",com.liferay.osgi.service.tracker.collections.map;version="2.3",
 com.liferay.petra.function;version="1.5",com.liferay.petra.lang;versi
 on="1.3",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.sq
 l.dsl.ast;version="1.0",com.liferay.petra.sql.dsl.base;version="1.0",
 com.liferay.petra.sql.dsl.expression;version="1.4",com.liferay.petra.
 sql.dsl.query;version="2.0",com.liferay.petra.sql.dsl.query.sort;vers
 ion="1.0",com.liferay.petra.sql.dsl.spi.ast;version="1.0",com.liferay
 .petra.sql.dsl.spi.expression;version="1.4",com.liferay.petra.sql.dsl
 .spi.query;version="2.0",com.liferay.petra.string;version="1.7",com.l
 iferay.portal.aop;version="1.0",com.liferay.portal.background.task.di
 splay;version="1.0",com.liferay.portal.background.task.model;version=
 "3.1",com.liferay.portal.background.task.service;version="1.6",com.li
 feray.portal.configuration.metatype.annotations;version="1.6",com.lif
 eray.portal.configuration.metatype.bnd.util;version="3.0",com.liferay
 .portal.dao.orm.common,com.liferay.portal.dao.orm.custom.sql;version=
 "1.1",com.liferay.portal.kernel.aop;version="1.0",com.liferay.portal.
 kernel.backgroundtask;version="10.0",com.liferay.portal.kernel.backgr
 oundtask.display;version="3.0",com.liferay.portal.kernel.bean;version
 ="10.1",com.liferay.portal.kernel.cache;version="14.0",com.liferay.po
 rtal.kernel.change.tracking;version="2.2",com.liferay.portal.kernel.c
 onfiguration;version="7.0",com.liferay.portal.kernel.dao.db;version="
 10.2",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.po
 rtal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.exceptio
 n;version="13.1",com.liferay.portal.kernel.json;version="11.0",com.li
 feray.portal.kernel.language;version="11.0",com.liferay.portal.kernel
 .log;version="8.0",com.liferay.portal.kernel.messaging;version="15.0"
 ,com.liferay.portal.kernel.model;version="28.2",com.liferay.portal.ke
 rnel.model.change.tracking;version="3.0",com.liferay.portal.kernel.mo
 del.impl;version="7.2",com.liferay.portal.kernel.module.framework;ver
 sion="1.4",com.liferay.portal.kernel.module.framework.service;version
 ="1.0",com.liferay.portal.kernel.search;version="20.0",com.liferay.po
 rtal.kernel.search.filter;version="1.0",com.liferay.portal.kernel.sec
 urity.auth;version="6.0",com.liferay.portal.kernel.security.permissio
 n;version="6.3",com.liferay.portal.kernel.security.permission.resourc
 e;version="2.2",com.liferay.portal.kernel.security.permission.resourc
 e.definition;version="1.0",com.liferay.portal.kernel.service;version=
 "19.4",com.liferay.portal.kernel.service.change.tracking;version="1.0
 ",com.liferay.portal.kernel.service.http;version="1.0",com.liferay.po
 rtal.kernel.service.permission;version="5.0",com.liferay.portal.kerne
 l.service.persistence;version="19.0",com.liferay.portal.kernel.servic
 e.persistence.change.tracking;version="1.4",com.liferay.portal.kernel
 .service.persistence.change.tracking.helper;version="1.1",com.liferay
 .portal.kernel.service.persistence.impl;version="4.1",com.liferay.por
 tal.kernel.template;version="14.1",com.liferay.portal.kernel.theme;ve
 rsion="10.4",com.liferay.portal.kernel.transaction;version="8.1",com.
 liferay.portal.kernel.upgrade;version="19.2",com.liferay.portal.kerne
 l.util;version="56.1",com.liferay.portal.kernel.version;version="1.1"
 ,com.liferay.portal.model.impl,com.liferay.portal.search.model.uid;ve
 rsion="1.1",com.liferay.portal.search.spi.model.query.contributor;ver
 sion="1.1",com.liferay.portal.search.spi.model.registrar;version="2.0
 ",com.liferay.portal.servlet.filters;version="1.0",com.liferay.portal
 .spring.transaction,com.liferay.portal.upgrade.registry;version="5.0"
 ,javax.servlet,javax.servlet.http,javax.sql,org.osgi.framework;versio
 n="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Change Tracking
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.7.0
Liferay-Service: true
Private-Package: com.liferay.change.tracking.internal,com.liferay.chan
 ge.tracking.internal.aop,com.liferay.change.tracking.internal.backgro
 und.task,com.liferay.change.tracking.internal.background.task.display
 ,com.liferay.change.tracking.internal.closure,com.liferay.change.trac
 king.internal.configuration,com.liferay.change.tracking.internal.conf
 lict,com.liferay.change.tracking.internal.helper,com.liferay.change.t
 racking.internal.mapping,com.liferay.change.tracking.internal.messagi
 ng,com.liferay.change.tracking.internal.model.listener,com.liferay.ch
 ange.tracking.internal.reference,com.liferay.change.tracking.internal
 .reference.builder,com.liferay.change.tracking.internal.resolver,com.
 liferay.change.tracking.internal.search,com.liferay.change.tracking.i
 nternal.search.spi.model.query.contributor,com.liferay.change.trackin
 g.internal.security.permission.resource,com.liferay.change.tracking.i
 nternal.security.permission.resource.definition,com.liferay.change.tr
 acking.internal.servlet.filter,com.liferay.change.tracking.internal.s
 pi.reference,com.liferay.change.tracking.internal.spi.resolver,com.li
 feray.change.tracking.internal.upgrade.registry,com.liferay.change.tr
 acking.internal.upgrade.v2_0_0,com.liferay.change.tracking.internal.u
 pgrade.v2_0_0.dependencies,com.liferay.change.tracking.internal.upgra
 de.v2_1_0,com.liferay.change.tracking.internal.upgrade.v2_1_0.depende
 ncies,com.liferay.change.tracking.internal.upgrade.v2_3_0,com.liferay
 .change.tracking.internal.upgrade.v2_4_0,com.liferay.change.tracking.
 internal.upgrade.v2_5_0,com.liferay.change.tracking.internal.upgrade.
 v2_5_0.dependencies,com.liferay.change.tracking.internal.upgrade.v2_6
 _0,com.liferay.change.tracking.internal.upgrade.v2_6_0.dependencies,c
 om.liferay.change.tracking.internal.upgrade.v2_7_0,com.liferay.change
 .tracking.model.impl,com.liferay.change.tracking.service.base,com.lif
 eray.change.tracking.service.http,com.liferay.change.tracking.service
 .impl,com.liferay.change.tracking.service.persistence.impl,com.lifera
 y.change.tracking.service.persistence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.closure.CTClosureFactory";uses:="com.liferay.change.
 tracking.closure",osgi.service;objectClass:List<String>="com.liferay.
 change.tracking.internal.CTServiceRegistry";uses:="com.liferay.change
 .tracking.internal",osgi.service;objectClass:List<String>="com.lifera
 y.change.tracking.internal.reference.TableReferenceDefinitionManager"
 ;uses:="com.liferay.change.tracking.internal.reference",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.persist
 ence.CTAutoResolutionInfoPersistence";uses:="com.liferay.change.track
 ing.service.persistence",osgi.service;objectClass:List<String>="com.l
 iferay.change.tracking.service.persistence.CTCollectionPersistence";u
 ses:="com.liferay.change.tracking.service.persistence",osgi.service;o
 bjectClass:List<String>="com.liferay.change.tracking.service.persiste
 nce.CTCollectionTemplatePersistence";uses:="com.liferay.change.tracki
 ng.service.persistence",osgi.service;objectClass:List<String>="com.li
 feray.change.tracking.service.persistence.CTCommentPersistence";uses:
 ="com.liferay.change.tracking.service.persistence",osgi.service;objec
 tClass:List<String>="com.liferay.change.tracking.service.persistence.
 CTEntryPersistence";uses:="com.liferay.change.tracking.service.persis
 tence",osgi.service;objectClass:List<String>="com.liferay.change.trac
 king.service.persistence.CTMessagePersistence";uses:="com.liferay.cha
 nge.tracking.service.persistence",osgi.service;objectClass:List<Strin
 g>="com.liferay.change.tracking.service.persistence.CTPreferencesPers
 istence";uses:="com.liferay.change.tracking.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.change.tracking.servic
 e.persistence.CTProcessPersistence";uses:="com.liferay.change.trackin
 g.service.persistence",osgi.service;objectClass:List<String>="com.lif
 eray.change.tracking.service.persistence.CTSchemaVersionPersistence";
 uses:="com.liferay.change.tracking.service.persistence",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.spi.listener.CT
 EventListener";uses:="com.liferay.change.tracking.spi.listener",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.spi.ref
 erence.TableReferenceDefinition";uses:="com.liferay.change.tracking.s
 pi.reference",osgi.service;objectClass:List<String>="com.liferay.chan
 ge.tracking.spi.resolver.ConstraintResolver";uses:="com.liferay.chang
 e.tracking.spi.resolver",osgi.service;objectClass:List<String>="com.l
 iferay.portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.aop.Chainabl
 eMethodAdvice";uses:="com.liferay.portal.kernel.aop",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.change.tracking.CTCo
 llectionIdSupplier";uses:="com.liferay.portal.kernel.change.tracking"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.dao
 .orm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.orm",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.messagi
 ng.MessageBusInterceptor";uses:="com.liferay.portal.kernel.messaging"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.mod
 el.ModelListener";uses:="com.liferay.portal.kernel.model",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.search.Document
 Contributor";uses:="com.liferay.portal.kernel.search",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.security.permission
 .resource.ModelResourcePermission";uses:="com.liferay.portal.kernel.s
 ecurity.permission.resource",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.security.permission.resource.definition.Port
 letResourcePermissionDefinition";uses:="com.liferay.portal.kernel.sec
 urity.permission.resource.definition",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.service.persistence.change.tracking
 .helper.CTPersistenceHelper";uses:="com.liferay.portal.kernel.service
 .persistence.change.tracking.helper",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.query.contributor.ModelPre
 FilterContributor";uses:="com.liferay.portal.search.spi.model.query.c
 ontributor",osgi.service;objectClass:List<String>="com.liferay.portal
 .upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.u
 pgrade.registry",osgi.service;objectClass:List<String>="javax.servlet
 .Filter";uses:="javax.servlet",osgi.service;objectClass:List<String>=
 "com.liferay.change.tracking.service.CTCollectionLocalService",osgi.s
 ervice;objectClass:List<String>="com.liferay.change.tracking.service.
 CTCollectionService",osgi.service;objectClass:List<String>="com.lifer
 ay.change.tracking.service.CTCollectionTemplateLocalService",osgi.ser
 vice;objectClass:List<String>="com.liferay.change.tracking.service.CT
 CollectionTemplateService",osgi.service;objectClass:List<String>="com
 .liferay.change.tracking.service.CTCommentLocalService",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.CTEntry
 LocalService",osgi.service;objectClass:List<String>="com.liferay.chan
 ge.tracking.service.CTMessageLocalService",osgi.service;objectClass:L
 ist<String>="com.liferay.change.tracking.service.CTPreferencesLocalSe
 rvice",osgi.service;objectClass:List<String>="com.liferay.change.trac
 king.service.CTPreferencesService",osgi.service;objectClass:List<Stri
 ng>="com.liferay.change.tracking.service.CTProcessLocalService",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.service
 .CTProcessService",osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.service.CTSchemaVersionLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cha
 nge.tracking.closure.CTClosureFactory)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.change.tracking.internal.CTServic
 eRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.change.tracking.internal.reference.TableReferenceDefinitionMa
 nager)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.change.tracking.service.CTCollectionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.change.tracking.se
 rvice.CTCollectionTemplateLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.change.tracking.service.CTEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.change.tracking.service.CTMessageLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.change.tracking
 .service.CTPreferencesLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.change.tracking.service.CTProcessLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.change.tracking.service.CTSchemaVersionLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.change.trac
 king.service.persistence.CTAutoResolutionInfoPersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.change.trackin
 g.service.persistence.CTCollectionPersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.change.tracking.service.p
 ersistence.CTCollectionTemplatePersistence)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.change.tracking.service.pers
 istence.CTCommentPersistence)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.change.tracking.service.persistence.CTEntr
 yPersistence)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.change.tracking.service.persistence.CTMessagePersistence)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.cha
 nge.tracking.service.persistence.CTPreferencesPersistence)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.change.tracki
 ng.service.persistence.CTProcessPersistence)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.change.tracking.service.per
 sistence.CTSchemaVersionPersistence)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.counter.kernel.service.CounterLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.expando.kernel.service.persistence.ExpandoColumnPersistence)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.expan
 do.kernel.service.persistence.ExpandoRowPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.expando.kernel.serv
 ice.persistence.ExpandoTablePersistence)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.expando.kernel.service.persiste
 nce.ExpandoValuePersistence)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.json.storage.service.JSONStorageEntryLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.background.task.service.BackgroundTaskLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.d
 ao.orm.custom.sql.CustomSQL)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .configuration.Configuration)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.dao.jdbc.CurrentConnection)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.dao.orm.EntityCache)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCache)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.dao.orm.SessionFactory)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .messaging.MessageBus)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.module.framework.ModuleServiceLifec
 ycle)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.search.IndexWriterHelper)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.search.IndexerR
 egistry)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.security.permission.InlineSQLHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ecurity.permission.resource.ModelResourcePermission)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.secur
 ity.permission.resource.PortletResourcePermission)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .ClassNameLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.CompanyLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.GroupLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.PortletPreference
 ValueLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.PortletPreferencesLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.ReleaseLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.ResourceL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.UserLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 permission.PortletPermission)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.persistence.CompanyP
 ersistence)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.persistence.ContactPersistence)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.persistence.CountryPersistence)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.persi
 stence.ImagePersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.persistence.ListTypePersi
 stence)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.persistence.OrganizationPersistence)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.persistence.PortalPreferenceValuePersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.persistence.PortalPreferencesPersistence)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.persistence.PortletPersistence)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.persistence.Port
 letPreferenceValuePersistence)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.persistence.Portlet
 PreferencesPersistence)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.persistence.RegionPersiste
 nce)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.persistence.TeamPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.persistence.UserGroupGroupRolePersistence)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.pers
 istence.UserGroupPersistence)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.persistence.UserGrou
 pRolePersistence)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.persistence.UserPersistence)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.persistence.VirtualHostPersistence)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.P
 ortal)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.search.model.uid.UIDFactory)";effective:=active,osgi.servi
 ce;filter:="(objectClass=javax.sql.DataSource)";effective:=active,osg
 i.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(
 !(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:=
 "(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(o
 sgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.change.tracking.internal.CTCol
 lectionIdSupplierImpl.xml,OSGI-INF/com.liferay.change.tracking.intern
 al.CTPersistenceHelperImpl.xml,OSGI-INF/com.liferay.change.tracking.i
 nternal.CTServiceRegistry.xml,OSGI-INF/com.liferay.change.tracking.in
 ternal.aop.CTTransactionAdvice.xml,OSGI-INF/com.liferay.change.tracki
 ng.internal.background.task.CTPublishBackgroundTaskExecutor.xml,OSGI-
 INF/com.liferay.change.tracking.internal.closure.CTClosureFactoryImpl
 .xml,OSGI-INF/com.liferay.change.tracking.internal.messaging.CTMessag
 eBusInterceptor.xml,OSGI-INF/com.liferay.change.tracking.internal.mes
 saging.CTMessageEventListener.xml,OSGI-INF/com.liferay.change.trackin
 g.internal.model.listener.BackgroundTaskModelListener.xml,OSGI-INF/co
 m.liferay.change.tracking.internal.model.listener.CTCollectionModelLi
 stener.xml,OSGI-INF/com.liferay.change.tracking.internal.model.listen
 er.ReleaseModelListener.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.model.listener.UserModelListener.xml,OSGI-INF/com.liferay.change
 .tracking.internal.reference.TableReferenceDefinitionManager.xml,OSGI
 -INF/com.liferay.change.tracking.internal.search.CTModelDocumentContr
 ibutor.xml,OSGI-INF/com.liferay.change.tracking.internal.search.CTSea
 rchEventListener.xml,OSGI-INF/com.liferay.change.tracking.internal.se
 arch.spi.model.query.contributor.CTModelPreFilterContributor.xml,OSGI
 -INF/com.liferay.change.tracking.internal.security.permission.resourc
 e.CTCollectionModelResourcePermission.xml,OSGI-INF/com.liferay.change
 .tracking.internal.security.permission.resource.CTCollectionTemplateM
 odelResourcePermission.xml,OSGI-INF/com.liferay.change.tracking.inter
 nal.security.permission.resource.definition.ChangeListsPortletResourc
 ePermissionDefinition.xml,OSGI-INF/com.liferay.change.tracking.intern
 al.servlet.filter.CTCollectionPreviewFilter.xml,OSGI-INF/com.liferay.
 change.tracking.internal.spi.reference.CompanyTableReferenceDefinitio
 n.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.Con
 tactTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking
 .internal.spi.reference.CountryTableReferenceDefinition.xml,OSGI-INF/
 com.liferay.change.tracking.internal.spi.reference.ExpandoColumnTable
 ReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal
 .spi.reference.ExpandoRowTableReferenceDefinition.xml,OSGI-INF/com.li
 feray.change.tracking.internal.spi.reference.ExpandoTableTableReferen
 ceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.re
 ference.ExpandoValueTableReferenceDefinition.xml,OSGI-INF/com.liferay
 .change.tracking.internal.spi.reference.ImageTableReferenceDefinition
 .xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.List
 TypeTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking
 .internal.spi.reference.OrganizationTableReferenceDefinition.xml,OSGI
 -INF/com.liferay.change.tracking.internal.spi.reference.PortalPrefere
 nceValueTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.trac
 king.internal.spi.reference.PortalPreferencesTableReferenceDefinition
 .xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.Port
 letPreferenceTableReferenceDefinition.xml,OSGI-INF/com.liferay.change
 .tracking.internal.spi.reference.PortletPreferenceValueTableReference
 Definition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.refe
 rence.PortletTableReferenceDefinition.xml,OSGI-INF/com.liferay.change
 .tracking.internal.spi.reference.RegionTableReferenceDefinition.xml,O
 SGI-INF/com.liferay.change.tracking.internal.spi.reference.TeamTableR
 eferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.
 spi.reference.UserGroupGroupRoleTableReferenceDefinition.xml,OSGI-INF
 /com.liferay.change.tracking.internal.spi.reference.UserGroupRoleTabl
 eReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.interna
 l.spi.reference.UserGroupTableReferenceDefinition.xml,OSGI-INF/com.li
 feray.change.tracking.internal.spi.reference.UserTableReferenceDefini
 tion.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.
 VirtualHostTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.t
 racking.internal.spi.resolver.PortletPreferenceConstraintResolver.xml
 ,OSGI-INF/com.liferay.change.tracking.internal.upgrade.registry.Chang
 eTrackingServiceUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.chang
 e.tracking.service.impl.CTCollectionLocalServiceImpl.xml,OSGI-INF/com
 .liferay.change.tracking.service.impl.CTCollectionServiceImpl.xml,OSG
 I-INF/com.liferay.change.tracking.service.impl.CTCollectionTemplateLo
 calServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.
 CTCollectionTemplateServiceImpl.xml,OSGI-INF/com.liferay.change.track
 ing.service.impl.CTCommentLocalServiceImpl.xml,OSGI-INF/com.liferay.c
 hange.tracking.service.impl.CTEntryLocalServiceImpl.xml,OSGI-INF/com.
 liferay.change.tracking.service.impl.CTMessageLocalServiceImpl.xml,OS
 GI-INF/com.liferay.change.tracking.service.impl.CTPreferencesLocalSer
 viceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTPref
 erencesServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.i
 mpl.CTProcessLocalServiceImpl.xml,OSGI-INF/com.liferay.change.trackin
 g.service.impl.CTProcessServiceImpl.xml,OSGI-INF/com.liferay.change.t
 racking.service.impl.CTSchemaVersionLocalServiceImpl.xml,OSGI-INF/com
 .liferay.change.tracking.service.persistence.impl.CTAutoResolutionInf
 oModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.serv
 ice.persistence.impl.CTAutoResolutionInfoPersistenceImpl.xml,OSGI-INF
 /com.liferay.change.tracking.service.persistence.impl.CTCollectionMod
 elArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.
 persistence.impl.CTCollectionPersistenceImpl.xml,OSGI-INF/com.liferay
 .change.tracking.service.persistence.impl.CTCollectionTemplateModelAr
 gumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.pers
 istence.impl.CTCollectionTemplatePersistenceImpl.xml,OSGI-INF/com.lif
 eray.change.tracking.service.persistence.impl.CTCommentModelArguments
 Resolver.xml,OSGI-INF/com.liferay.change.tracking.service.persistence
 .impl.CTCommentPersistenceImpl.xml,OSGI-INF/com.liferay.change.tracki
 ng.service.persistence.impl.CTEntryModelArgumentsResolver.xml,OSGI-IN
 F/com.liferay.change.tracking.service.persistence.impl.CTEntryPersist
 enceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.persistence
 .impl.CTMessageModelArgumentsResolver.xml,OSGI-INF/com.liferay.change
 .tracking.service.persistence.impl.CTMessagePersistenceImpl.xml,OSGI-
 INF/com.liferay.change.tracking.service.persistence.impl.CTPreference
 sModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.serv
 ice.persistence.impl.CTPreferencesPersistenceImpl.xml,OSGI-INF/com.li
 feray.change.tracking.service.persistence.impl.CTProcessModelArgument
 sResolver.xml,OSGI-INF/com.liferay.change.tracking.service.persistenc
 e.impl.CTProcessPersistenceImpl.xml,OSGI-INF/com.liferay.change.track
 ing.service.persistence.impl.CTSchemaVersionModelArgumentsResolver.xm
 l,OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CTSch
 emaVersionPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

